Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnException.h File Reference

`#include "gnClone.h"`
`#include "gn/gnExceptionCode.h"`
`#include <string>`
`#include <list>`

Go to the source code of this file.

## Compounds
class | gnException
## Defines
#define | STACK_TRACE_START
#define | STACK_TRACE_END
#define | Throw_gnEx(code) throw gnException(__FILE__, __LINE__, __PRETTY_FUNCTION__, code, "")
#define | Throw_gnExMsg(code, msg) throw gnException(__FILE__, __LINE__, __PRETTY_FUNCTION__, code, msg)
## Functions
GNDLLEXPORT std::ostream & | operator<< (std::ostream &os, const gnException &gne)

## Define Documentation

#define STACK_TRACE_END

| Definition at line 50 of file gnException.h. Referenced by gnSequence::addHeader(), gnSequence::compare(), gnSequence::contig(), gnSequence::contigByBase(), gnSequence::contigByName(), gnSequence::contigIndexByBase(), gnSequence::contigIndexByName(), gnSequence::contigLength(), gnSequence::contigListLength(), gnSequence::contigListSize(), gnSequence::contigName(), gnSequence::contigStart(), gnSequence::erase(), gnSequence::find(), gnSequence::getHeader(), gnSequence::getHeaderListLength(), gnSequence::GetSeqC(), gnSequence::globalToLocal(), gnSequence::globalToSource(), gnSequence::insert(), gnSequence::isReverseComplement(), gnSequence::LoadSource(), gnSequence::localToGlobal(), gnSequence::localToSource(), gnSequence::merge(), gnSequence::mergeContigs(), gnSequence::operator+(), gnSequence::operator[](), gnSequence::removeHeader(), gnSequence::setContigName(), gnSequence::setReverseComplement(), gnSequence::splitContig(), gnSequence::subseq(), gnSequence::ToArray(), and gnSequence::ToString().

#define STACK_TRACE_START

| Definition at line 49 of file gnException.h. Referenced by gnSequence::addHeader(), gnSequence::compare(), gnSequence::contig(), gnSequence::contigByBase(), gnSequence::contigByName(), gnSequence::contigIndexByBase(), gnSequence::contigIndexByName(), gnSequence::contigLength(), gnSequence::contigListLength(), gnSequence::contigListSize(), gnSequence::contigName(), gnSequence::contigStart(), gnSequence::erase(), gnSequence::find(), gnSequence::getHeader(), gnSequence::getHeaderListLength(), gnSequence::GetSeqC(), gnSequence::globalToLocal(), gnSequence::globalToSource(), gnSequence::insert(), gnSequence::isReverseComplement(), gnSequence::LoadSource(), gnSequence::localToGlobal(), gnSequence::localToSource(), gnSequence::merge(), gnSequence::mergeContigs(), gnSequence::operator+(), gnSequence::operator[](), gnSequence::removeHeader(), gnSequence::setContigName(), gnSequence::setReverseComplement(), gnSequence::splitContig(), gnSequence::subseq(), gnSequence::ToArray(), and gnSequence::ToString().

#define Throw_gnEx | ( | code |  | ) | throw gnException(__FILE__, __LINE__, __PRETTY_FUNCTION__, code, "")

| Definition at line 53 of file gnException.h. Referenced by gnGenomeSpec::AddFeature(), gnSourceFactory::AddSource(), gnFileSource::Close(), gnSourceFactory::DelSource(), gnSequence::erase(), gnGenomeSpec::GetFeature(), gnMultiSpec::GetHeader(), gnGenomeSpec::GetSpec(), gnFragmentSpec::GetSpec(), gnMultiSpec::GetSpecEndBase(), gnMultiSpec::GetSpecIndexByBase(), gnMultiSpec::GetSpecIndexByName(), gnMultiSpec::GetSpecStartBase(), gnSequence::insert(), gnSequence::localToGlobal(), gnGenomeSpec::MergeFragments(), gnFileSource::Open(), gnGenomeSpec::RemoveFeature(), gnFragmentSpec::RemoveFeature(), gnMultiSpec::RemoveHeader(), gnFragmentSpec::RemoveSpec(), gnMultiSpec::SeqRead(), gnFileSource::SetFilter(), gnSequence::splitContig(), gnSequence::subseq(), and gnFASSource::Write().

#define Throw_gnExMsg | ( | code,
|  | msg |  | ) | throw gnException(__FILE__, __LINE__, __PRETTY_FUNCTION__, code, msg)

| Definition at line 54 of file gnException.h.

## Function Documentation

GNDLLEXPORT std::ostream& operator<< | ( | std::ostream & | os,
|  | const gnException & | gne
| ) |

| Definition at line 12 of file gnException.cpp. References gnException::function_trace, gnExceptionCode::GetName(), gnException::m_code, gnException::m_file, gnException::m_line, and gnException::m_message.